class CategoryPage < Jekyll::Page
  def initialize(site, base, category)
    @site = site
    @base = base
    @dir = category
    @name = 'index.html'
    
    self.process(@name)
    self.read_yaml(File.join(base, '_layouts'), 'category_index.html')
    self.data['category'] = category

    category_title = site.config["category_titles"][category] || category.capitalize
    self.data['title'] = "#{category_title}"
  end
end

class CategoryPageGenerator < Jekyll::Generator
  safe true

  def generate(site)
    if !site.layouts.key? 'category_index'
      return
    end

    site.categories.each_key do |category|
      site.pages << CategoryPage.new(site, site.source, category)
    end
  end
  
end
