---
category: technology
title: Taking the λ out of Lambdaconf
tags:
- Lambdaconf
- feminism
- queer
- diversity
- gamergate
---
Most of the tech community has heard about [Lambdaconf] by now, thanks to the decision to give Curtis Yarvin, aka Mencius Moldbug, a speaker slot there. Their [ultimate decision][lambdaconf-decision] uses the phrase "professional ethics" a lot. It's hard to miss the parallels with GamerGate.

There's a lot that's already been said about this. The topic is pretty tired already; I'm late to the game. And moreover, the point that the De Goes is "so far off base he's not even wrong" is a valid one. But one thing stood out to me: amidst the (somewhat bizarre) infographics, De Goes' talks about "externally-imposed" exclusion versus "internally-imposed" exclusion, where he says:

> There is a qualitative distinction between a conference deciding you can’t attend, and you deciding that you can’t attend...
> LambdaConf is very inclusive. This choice, along with many others that we make, make it both more and less likely that different people will exclude themselves from the conference.

Yes, there *is* a qualitative difference between those two things. But attendance is also a separate issue from who you position as your speakers and special guests; these people have more visibility and advertisement than mere attendees. You aren't just allowing them in, you are providing them with a *platform*. And when you platform individuals who are known for virulent hate speech, you are going to make people who have been the target of that speech feel unwelcome.

Lambdaconf may be inclusive in its literal attendance policy, but platforming regressive proponents of hate is not going to foster an environment of inclusion. Because "inclusiveness" is more than about who you (don't) explicitly exclude. It's also about the diversity of voices who choose to include themselves.

And one final irony, one that I feel keenly, is that the symbol that Lambdaconf uses, the greek letter lambda (λ), is overloaded. Sure, it is a mathematical symbol for functional abstraction, which is why it is a stand-in for the Functional Programming community. (one of the core underpinnings of computer science is a system called the [lambda calculus]) But it has a parallel history as a symbol of the queer community, one of many communities that has been targeted by the vitriol of Yarvin and his followers.

Naturally I'm not suggesting that computer science and the queer community have [some sort of connection][Turing]. (although in addition to that link, the person who first got me excited about Functional Programming was a purple-haired queer trans woman) I'm just musing that it's a bit of a tragedy that a place called Lambdaconf is pretty actively turning its back on a group of people that have rallied under a lambda-shaped banner.


[Lambdaconf]: http://lambdaconf.us/
[lambdaconf-decision]: http://degoes.net/articles/lambdaconf-conclusion
[lambda calculus]: https://en.wikipedia.org/wiki/Lambda_calculus
[Turing]: https://en.wikipedia.org/wiki/Alan_Turing
